Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class Atom10Generator

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedGenerator
          com.sun.syndication.io.impl.Atom10Generator

All Implemented Interfaces:
  WireFeedGenerator

    public class Atom10Generator

extends BaseWireFeedGenerator

Feed Generator for Atom

Author:
  Elaine Chien, Dave Johnson (updated for Atom 1.0)

Constructor Summary
`` | `Atom10Generator()`
`protected` | `Atom10Generator(String type, String version)`

Method Summary
`protected void` | `addEntries(Feed feed, org.jdom.Element parent)`
`protected void` | `addEntry(Entry entry, org.jdom.Element parent)`
`protected void` | `addFeed(Feed feed, org.jdom.Element parent)`
`protected void` | `checkEntriesConstraints(org.jdom.Element parent)`
`protected void` | `checkEntryConstraints(org.jdom.Element eEntry)`
`protected void` | `checkFeedHeaderConstraints(org.jdom.Element eFeed)`
`protected org.jdom.Document` | `createDocument(org.jdom.Element root)`
`protected org.jdom.Element` | `createRootElement(Feed feed)`
`protected void` | `fillContentElement(org.jdom.Element contentElement, Content content)`
`protected void` | `fillPersonElement(org.jdom.Element element, Person person)`
`org.jdom.Document` | `generate(WireFeed wFeed)` Creates an XML document (JDOM) for the given feed bean.
`protected org.jdom.Element` | `generateCategoryElement(Category cat)`
`protected org.jdom.Element` | `generateGeneratorElement(Generator generator)`
`protected org.jdom.Element` | `generateLinkElement(Link link)`
`protected org.jdom.Element` | `generateSimpleElement(String name, String value)`
`protected org.jdom.Element` | `generateTagLineElement(Content tagline)`
`protected org.jdom.Namespace` | `getFeedNamespace()`
`protected String` | `getVersion()`
`protected void` | `populateEntry(Entry entry, org.jdom.Element eEntry)`
`protected void` | `populateFeed(Feed feed, org.jdom.Element parent)`
`protected void` | `populateFeedHeader(Feed feed, org.jdom.Element eFeed)`
`static void` | `serializeEntry(Entry entry, Writer writer)` Utility method to serialize an entry to writer.

Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator
`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Atom10Generator

    public Atom10Generator()

### Atom10Generator

    protected Atom10Generator(String type,
                              String version)

Method Detail

### getVersion

    protected String getVersion()

### getFeedNamespace

    protected org.jdom.Namespace getFeedNamespace()

### generate

    public org.jdom.Document generate(WireFeed wFeed)
                               throws FeedException

  Description copied from interface: `WireFeedGenerator`
  Creates an XML document (JDOM) for the given feed bean.

  Parameters:
    `wFeed` - the feed bean to generate the XML document from.
  Returns:
    the generated XML document (JDOM).
  Throws:
    `FeedException` - thrown if the XML Document could not be created.

### createDocument

    protected org.jdom.Document createDocument(org.jdom.Element root)

### createRootElement

    protected org.jdom.Element createRootElement(Feed feed)

### populateFeed

    protected void populateFeed(Feed feed,
                                org.jdom.Element parent)
                         throws FeedException

  Throws:
    `FeedException`

### addFeed

    protected void addFeed(Feed feed,
                           org.jdom.Element parent)
                    throws FeedException

  Throws:
    `FeedException`

### addEntries

    protected void addEntries(Feed feed,
                              org.jdom.Element parent)
                       throws FeedException

  Throws:
    `FeedException`

### addEntry

    protected void addEntry(Entry entry,
                            org.jdom.Element parent)
                     throws FeedException

  Throws:
    `FeedException`

### populateFeedHeader

    protected void populateFeedHeader(Feed feed,
                                      org.jdom.Element eFeed)
                               throws FeedException

  Throws:
    `FeedException`

### populateEntry

    protected void populateEntry(Entry entry,
                                 org.jdom.Element eEntry)
                          throws FeedException

  Throws:
    `FeedException`

### checkFeedHeaderConstraints

    protected void checkFeedHeaderConstraints(org.jdom.Element eFeed)
                                       throws FeedException

  Throws:
    `FeedException`

### checkEntriesConstraints

    protected void checkEntriesConstraints(org.jdom.Element parent)
                                    throws FeedException

  Throws:
    `FeedException`

### checkEntryConstraints

    protected void checkEntryConstraints(org.jdom.Element eEntry)
                                  throws FeedException

  Throws:
    `FeedException`

### generateCategoryElement

    protected org.jdom.Element generateCategoryElement(Category cat)

### generateLinkElement

    protected org.jdom.Element generateLinkElement(Link link)

### fillPersonElement

    protected void fillPersonElement(org.jdom.Element element,
                                     Person person)

### generateTagLineElement

    protected org.jdom.Element generateTagLineElement(Content tagline)

### fillContentElement

    protected void fillContentElement(org.jdom.Element contentElement,
                                      Content content)
                               throws FeedException

  Throws:
    `FeedException`

### generateGeneratorElement

    protected org.jdom.Element generateGeneratorElement(Generator generator)

### generateSimpleElement

    protected org.jdom.Element generateSimpleElement(String name,
                                                     String value)

### serializeEntry

    public static void serializeEntry(Entry entry,
                                      Writer writer)
                               throws IllegalArgumentException,
                                      FeedException,
                                      IOException

  Utility method to serialize an entry to writer.

  Throws:
    `IllegalArgumentException`
    `FeedException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.